public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/hypercorn/
Date: Tue, 28 May 2024 04:27:55 +0000 (UTC)	[thread overview]
Message-ID: <1716870469.53c2118cc7ce1db7c157a4a1926d62ed72888646.mgorny@gentoo> (raw)

commit:     53c2118cc7ce1db7c157a4a1926d62ed72888646
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 28 04:11:11 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 28 04:27:49 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53c2118c

dev-python/hypercorn: Bump to 0.17.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/hypercorn/Manifest                |  1 +
 dev-python/hypercorn/hypercorn-0.17.2.ebuild | 51 ++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/hypercorn/Manifest b/dev-python/hypercorn/Manifest
index 3f70248adae6..344c972003c9 100644
--- a/dev-python/hypercorn/Manifest
+++ b/dev-python/hypercorn/Manifest
@@ -1 +1,2 @@
 DIST hypercorn-0.16.0.gh.tar.gz 159038 BLAKE2B d17fde74af7f3a0157af22465f52a46967b8c4297eb5f602614d5337ca511d365e391630495535b56650fc4bfac864d30c5b281c04beddb0fec9bfcecd0f0c00 SHA512 75d75f0a0c1726b83d8ee38d5a15f4241130369904c9925cc3b87d1bf92f0d6a59ae7e7c83434c60ceae4bb628f6a51a42eda00c68a226c0bea6ef1c6fb8cb2c
+DIST hypercorn-0.17.2.gh.tar.gz 162107 BLAKE2B f5db0c323c6bbf4dbb7d28617adf1a55fa810e165129d945b410e6810c8f0cc41c6dd8043f846f00405d56760ad94b807b53b104a97396277d98c33d6598b7d6 SHA512 c840eb34fb6e12c236c1d279ba94752a3a1d9ba3f73e519ff71628a648580e7ef6196f5f806053c601531b12af11aa455801a6c2c13cabf3729e55581ffbb881

diff --git a/dev-python/hypercorn/hypercorn-0.17.2.ebuild b/dev-python/hypercorn/hypercorn-0.17.2.ebuild
new file mode 100644
index 000000000000..9a7296e4811f
--- /dev/null
+++ b/dev-python/hypercorn/hypercorn-0.17.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A ASGI Server based on Hyper libraries and inspired by Gunicorn"
+HOMEPAGE="
+	https://github.com/pgjones/hypercorn/
+	https://pypi.org/project/Hypercorn/
+"
+SRC_URI="
+	https://github.com/pgjones/hypercorn/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+	dev-python/h11[${PYTHON_USEDEP}]
+	>=dev-python/h2-3.1.0[${PYTHON_USEDEP}]
+	dev-python/priority[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep '
+		>=dev-python/exceptiongroup-1.1.0[${PYTHON_USEDEP}]
+		dev-python/taskgroup[${PYTHON_USEDEP}]
+		dev-python/tomli[${PYTHON_USEDEP}]
+		dev-python/typing-extensions[${PYTHON_USEDEP}]
+	' 3.10)
+	>=dev-python/wsproto-0.14.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/httpx[${PYTHON_USEDEP}]
+		dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+		dev-python/pytest-trio[${PYTHON_USEDEP}]
+		>=dev-python/trio-0.22.0[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	sed -i -e 's:--no-cov-on-fail::' pyproject.toml || die
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2024-05-28  4:27 UTC|newest]

Thread overview: 57+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-28  4:27 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-18 13:03 [gentoo-commits] repo/gentoo:master commit in: dev-python/hypercorn/ Michał Górny
2024-07-01  4:35 Arthur Zamarin
2024-06-14 15:55 Michał Górny
2024-06-12  7:42 Michał Górny
2024-06-12  6:22 Arthur Zamarin
2024-05-29  4:17 Michał Górny
2024-03-17  6:27 Ionen Wolkens
2024-02-22 10:38 Michał Górny
2024-02-22  4:45 Ionen Wolkens
2024-02-06  5:03 Ionen Wolkens
2024-02-06  5:03 Ionen Wolkens
2024-01-21  2:44 Sam James
2024-01-21  2:44 Sam James
2024-01-20 19:50 Arthur Zamarin
2024-01-20 18:47 Arthur Zamarin
2024-01-20 18:37 Arthur Zamarin
2024-01-01 14:41 Michał Górny
2023-12-16  2:45 Sam James
2023-12-16  2:45 Sam James
2023-12-08 12:54 Arthur Zamarin
2023-12-02 11:01 Arthur Zamarin
2023-12-02  9:24 Arthur Zamarin
2023-12-01  3:30 Sam James
2023-11-30 15:26 Michał Górny
2023-11-30 15:26 Michał Górny
2023-11-30 15:26 Michał Górny
2023-11-30 15:26 Michał Górny
2023-11-30 15:26 Michał Górny
2023-11-24 19:19 Arthur Zamarin
2023-11-24 19:18 Arthur Zamarin
2023-11-24 19:18 Arthur Zamarin
2023-11-24 19:18 Arthur Zamarin
2023-10-31 10:57 Yixun Lan
2023-10-30 19:01 Michał Górny
2023-08-11 19:04 Arthur Zamarin
2023-07-09  3:26 Michał Górny
2023-05-31  8:25 Michał Górny
2023-04-16 16:22 Arthur Zamarin
2023-04-15  5:40 Sam James
2023-04-15  5:40 Sam James
2023-04-14 20:53 Sam James
2023-03-03 19:47 Arthur Zamarin
2023-02-26 18:16 Arthur Zamarin
2023-02-24 23:29 Sam James
2023-01-21  9:32 Arthur Zamarin
2023-01-21  9:26 Arthur Zamarin
2023-01-21  9:26 Arthur Zamarin
2023-01-21  8:42 Arthur Zamarin
2023-01-21  8:42 Arthur Zamarin
2022-12-28  1:08 Yixun Lan
2022-12-26  1:49 WANG Xuerui
2022-12-20  9:06 Sam James
2022-12-20  8:15 Sam James
2022-12-20  8:15 Sam James
2022-12-19 18:30 Arthur Zamarin
2022-12-19 16:46 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1716870469.53c2118cc7ce1db7c157a4a1926d62ed72888646.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox